Bug 730983 - Job submit fails because of cc list
Summary: Job submit fails because of cc list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.6
Hardware: Unspecified
OS: Unspecified
high
low vote
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 13:11 UTC by Marian Ganisin
Modified: 2019-05-22 13:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 02:43:31 UTC


Attachments (Terms of Use)

Description Marian Ganisin 2011-08-16 13:11:14 UTC
Description of problem:
If my xml recipe contains duplicate cc fields:

    <notify>
        <cc>mganisin@redhat.com</cc>
        <cc>mganisin@redhat.com</cc>
    </notify>

attempt to submit fails with error:

Exception: <Fault 1: 'sqlalchemy.exceptions.IntegrityError:(IntegrityError) (1062, "Duplicate entry \'120607-mganisin@redhat.com\' for key 1") u\'INSERT INTO job_cc (job_id, email_address) VALUES (%s, %s)\' [120607L, \'mganisin@redhat.com\']'>

Fault doesn't seem to be acceptable in this case. It is really simple to recover from this state.

Comment 3 Dan Callaghan 2011-09-06 07:21:27 UTC
Thanks for testing.

Comment 4 Dan Callaghan 2011-09-08 02:43:31 UTC
Beaker 0.7.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.